<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Uniformreport extends Admin_Controller {

    function __construct() {
        parent::__construct();
    }

    function index() {
        if (!$this->rbac->hasPrivilege('class', 'can_view')) {
            access_denied();
        }
        $this->session->set_userdata('top_menu', 'Uniform Report');
        $this->session->set_userdata('sub_menu', 'uniformreport/index');
        $data['title_list'] = 'Uniform Report';
		 
         $data['receivedqnty']=$this->uniformitem_model->getUniformQntyNumber($query);  
         $data['soldqnty']=$this->uniformitem_model->getUniformQntySoldNumber($query);  
         $data['leftqnty']=$this->uniformitem_model->getUniformQntyLeftNumber($qnty_on_hand);  
		$data['uniform']=$this->uniformpos_model->select();
        $this->load->view('layout/header', $data);
        $this->load->view('uniformreport/uniformreport', $data);
        $this->load->view('layout/footer', $data);
    }    
	
	function printUniformReport() {
        if (!$this->rbac->hasPrivilege('class', 'can_view')) {
            access_denied();
        }
		        $setting_result = $this->setting_model->get();
                $data['settinglist'] = $setting_result;
		 
         $data['receivedqnty']=$this->uniformitem_model->getUniformQntyNumber($query);  
         $data['soldqnty']=$this->uniformitem_model->getUniformQntySoldNumber($query);  
         $data['leftqnty']=$this->uniformitem_model->getUniformQntyLeftNumber($qnty_on_hand);  
		$data['uniform']=$this->uniformpos_model->select();
        $this->load->view('print/printUniformReport', $data);
    }


}

?>